Bug 1295556 - failing tempest test, tempest.api.volume.test_volumes_get.VolumesV2GetTest.test_volume_create_get_update_delete_from_image
failing tempest test, tempest.api.volume.test_volumes_get.VolumesV2GetTest.te...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: y3
: 7.0 (Kilo)
Assigned To: chris alfonso
yeylon@redhat.com
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 15:24 EST by wes hayutin
Modified: 2016-04-18 03:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-31 08:45:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2016-01-04 15:24:04 EST
Description of problem:

The following is failing consistently in ospd-7 deployments

https://github.com/openstack/tempest/blob/master/tempest/api/volume/test_volumes_get.py#L132

_StringException: pythonlogging:'': {{{
2016-01-04 14:29:12,338 83414 INFO     [tempest_lib.common.rest_client] Request (VolumesV2GetTest:test_volume_create_get_update_delete_from_image): 400 POST http://10.8.149.10:8776/v2/edac42a1827c47fc93f72d74fa5e2116/volumes 0.518s
2016-01-04 14:29:12,338 83414 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: {"volume": {"metadata": {"Type": "Test"}, "name": "Volume-283588947", "imageRef": "03a66f94-710b-4517-bca9-066f0cb0df0c", "size": 1}}
    Response - Headers: {'status': '400', 'content-length': '105', 'x-compute-request-id': 'req-bd01eb2a-cca5-470e-8106-c5b27fbf686f', 'connection': 'close', 'date': 'Mon, 04 Jan 2016 19:29:12 GMT', 'content-type': 'application/json; charset=UTF-8', 'x-openstack-request-id': 'req-bd01eb2a-cca5-470e-8106-c5b27fbf686f'}
        Body: {"badRequest": {"message": "Invalid image identifier or unable to access requested image.", "code": 400}}
}}}

Traceback (most recent call last):
  File "/home/stack/tempest/tempest/test.py", line 126, in wrapper
    return f(self, *func_args, **func_kwargs)
  File "/home/stack/tempest/tempest/api/volume/test_volumes_get.py", line 134, in test_volume_create_get_update_delete_from_image
    self._volume_create_get_update_delete(imageRef=CONF.compute.image_ref)
  File "/home/stack/tempest/tempest/api/volume/test_volumes_get.py", line 52, in _volume_create_get_update_delete
    volume = self.client.create_volume(**kwargs)
  File "/home/stack/tempest/tempest/services/volume/json/volumes_client.py", line 81, in create_volume
    resp, body = self.post('volumes', post_body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 252, in post
    return self.request('POST', url, extra_headers, headers, body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 629, in request
    resp, resp_body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 680, in _error_checker
    raise exceptions.BadRequest(resp_body)
BadRequest: Bad request
Details: {u'message': u'Invalid image identifier or unable to access requested image.', u'code': 400}
Traceback (most recent call last):
_StringException: Empty attachments:
  stderr
  stdout
Comment 2 wes hayutin 2016-01-31 08:45:00 EST
This is no longer recreating in ospd-7 environments

Note You need to log in before you can comment on or make changes to this bug.